| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csShaderProgram::ProgramParam Struct Reference

Program parameter, either a SV reference or a const value. More...

`#include <csplugincommon/shader/shaderprogram.h>`

List of all members.

## Public Member Functions
| ProgramParam ()
## Public Attributes
csStringID | name
bool | valid
csRef< csShaderVariable > | var

## Detailed Description

Program parameter, either a SV reference or a const value.

Definition at line 98 of file shaderprogram.h.

The documentation for this struct was generated from the following file:

- csplugincommon/shader/shaderprogram.h